List workflows
curl --request GET \
--url https://api.app.layer.ai/api/v1/workspaces/{workspace_id}/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.layer.ai/api/v1/workspaces/{workspace_id}/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.layer.ai/api/v1/workspaces/{workspace_id}/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflows": [
{
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"inputs": [
{
"name": "<string>",
"type": "<string>",
"required": true,
"description": "<string>",
"value_schema": {},
"display_name": "<string>",
"default": "<unknown>"
}
],
"outputs": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"value_schema": {},
"display_name": "<string>"
}
],
"published_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"has_more_results": true,
"next_cursor": "<string>",
"total_count": 123
}
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}Workflows
List workflows
List available generation workflows (published blueprints) in a workspace.
GET
/
v1
/
workspaces
/
{workspace_id}
/
workflows
List workflows
Authorizations
Personal Access Token or OAuth2 JWT. Create a PAT at app.layer.ai → Settings → Personal Access Tokens.
Path Parameters
Query Parameters
Full-text search on workflow name/description
Required range:
1 <= x <= 100⌘I